Zum Hauptinhalt springen

Get File Service Reference for a Screenshot of a domain

GET/v2/domains/{domainId}/screenshots/newest
API-Version
v2
Request-Methode
GET
Operation-ID
deprecated-domain-get-screenshot-for-domain

Request​

  • domainIdstring (uuid)
    required

Responses​

Format
application/json
Beschreibung

The References.

  • referencesArray von string
    • Array[
      • *string
      ]
Content-Type: application/json

{
"references": [
"string"
]
}
{
"properties": {
"references": {
"items": {
"type": "string"
},
"type": "array"
}
},
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-d '{"domainName":"example.com","path":"/var/www"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/domains/f0f86186-0a5a-45b2-aa33-502777496347/screenshots/newest
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.deprecatedDomainGetScreenshotForDomain({
"domainId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"domainName": "example.com",
"path": "/var/www"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDomainGetScreenshotForDomain\DeprecatedDomainGetScreenshotForDomainRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDomainGetScreenshotForDomain\DeprecatedDomainGetScreenshotForDomainRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedDomainGetScreenshotForDomainRequestBody to learn how to construct a valid instance
$body = new DeprecatedDomainGetScreenshotForDomainRequestBody(/* TODO: ... */);

$request = (new DeprecatedDomainGetScreenshotForDomainRequest(
domainId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->domain()->deprecatedDomainGetScreenshotForDomain($request);

var_dump($response->getBody();

Auf dieser Seite